Bug 114311 - No way for generic assets to augment the XML adapter rules for all content types
No way for generic assets to augment the XML adapter rules for all content types
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise CMS
Classification: Retired
Component: content types (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-26 10:19 EST by Daniel Berrange
Modified: 2007-04-18 13:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 13:45:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2004-01-26 10:19:59 EST
Description of problem:
Each content type is reponsible for registering domain object XML
renderer rules for itself. There are, however, a number of genral
purpose assets such as dublin core, file attachments and related links
which need to augment the rules for all content types in the CMS.
Obviously the contnet type rules themselves can't reference these
assets, since the is no way to know in advance if an asset will be
installed on the system.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Berrange 2004-01-26 10:31:54 EST
If got code ready for checkin which gets around this limitation as
follows:

Insteead of registering instances of
SimpleDomainObjectTraversalAdapter, we create a subclass
ContentItemTraversalAdapter. This class contains a static registry of
property names -> assets. It then overrides the process method in the
traversal adapter such that if the path requested maps to an asset,
then control is delegated to the asset's own traversal adapter,
otherwise control goes to the super class implementation.
Comment 2 Daniel Berrange 2004-01-28 10:11:01 EST
Submitted in p4 39749 & 39751
Comment 3 David Lawrence 2006-07-17 23:04:50 EDT
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.
Comment 4 Daniel Berrange 2006-09-02 13:45:29 EDT
Closing old tickets

Note You need to log in before you can comment on or make changes to this bug.